h3llo cloudDOCS

Создать виртуалку

POST
/instances

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (h3pat_...) или access-token из OIDC exchange.

In: header

Header Parameters

Idempotency-Key?string

UUIDv4. Повторный вызов с тем же ключом возвращает кэшированный ответ.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://api.h3llo.cloud/v1/instances" \  -H "Content-Type: application/json" \  -d '{    "project": "p-9k1m2n",    "name": "web-01",    "image": "ubuntu-24.04",    "flavor": "m1.medium",    "network": "default",    "public_ip": "auto",    "ssh_keys": [      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5..."    ]  }'
{
  "id": "op-91283",
  "status": "pending",
  "progress": 0,
  "result_url": "http://example.com",
  "error": {
    "type": "http://example.com",
    "title": "string",
    "status": 0,
    "detail": "string",
    "instance": "string",
    "code": "string",
    "trace_id": "string"
  },
  "started_at": "2019-08-24T14:15:22Z",
  "finished_at": "2019-08-24T14:15:22Z"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "code": "string",
  "trace_id": "string"
}
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "code": "string",
  "trace_id": "string"
}